1. Esims
VeloeSIM API
  • VeloeSIM
    • Plans
      • getAllPlans
      • getOnePlan
    • Organizations
      • getMyOrganization
    • Orders
      • orderOne
    • Esims
      • getAllEsims
        GET
      • getOneEsim
        GET
      • getEsimTopUpPlans
        GET
      • topUpEsim
        POST
  • Schemas
    • Plan
    • PlansListResponse
    • Organization
    • OrderRequest
    • TopUpRequest
    • Esim
    • EsimsListResponse
    • Area
    • Network
    • AssignedPlan
    • AreaSimple
  1. Esims

topUpEsim

POST
/api/wholesale/esims/{iccid}/top-up
Top up an eSIM.

Request

Authorization
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Successful response
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://prod.your-api-server.com/api/wholesale/esims//top-up' \
--header 'Content-Type: application/json' \
--data '{
    "planId": 1
}'
Response Response Example
{
    "iosSetup": "https://esimsetup.apple.com/esim_qrcode_provisioning?carddata=LPA:1$address.test$K2-22XXXX-LCIUXQ",
    "iccid": "8937204016163448888",
    "matchingId": "K2-22XXXX-LCIUXQ",
    "smdpAddress": "address.test",
    "profileStatus": "RELEASED",
    "installedAt": "2019-08-24T14:15:22.123Z",
    "assignedPlans": [
        {
            "id": 89,
            "planId": 5,
            "initialQuantityInBytes": 1000000000,
            "remainingQuantityInBytes": 1000000000,
            "startTime": "2019-08-24T14:15:22.123Z",
            "endTime": "2019-08-24T14:15:22.123Z",
            "isExpired": false,
            "areas": [
                {
                    "id": 49,
                    "name": "Greece",
                    "region": "Europe",
                    "iso": "GR"
                }
            ]
        }
    ]
}
Modified at 2026-06-08 10:30:45
Previous
getEsimTopUpPlans
Next
Plan
Built with